[Development] Assistant WebKit/WebEngine support

Bastiaan Veelo Bastiaan at Veelo.net
Tue Jun 25 21:28:49 CEST 2019


On 21/05/2019 14:50, Konstantin Tokarev wrote:
> 21.05.2019, 15:47, "Bastiaan Veelo" <bastiaan at veelo.net>:
>> On 20/05/2019 19:02, Konstantin Tokarev wrote:
>>>   [...] Current version of QtWebKit from 5.212 works on Windows,
>>>   there are binaries at
>>>
>>>   http://download.qt.io/snapshots/ci/qtwebkit/5.212/latest/qtwebkit/
>> Extracted into qtbase and Assistant builds like a charm! However running
>> it gives
>>
>> "The procedure entry point
>> ?staticMetaObject at QSslSocket@@2UQMetaObject@@B could not be located in
>> the dynamic link library D:\Qt\gerrit\qt5\qtbase\bin\Qt5WeKit.dll".
>>
>> I have checked out the Qt dev branch from May 11, which I can imagine
>> could cause problems. Do you happen to know which Qt version those
>> QtWebKit binaries are known to work with?
> 5.10
>

I decided not to compile Qt myself any more, because I can't wait until 
the next day for it to finish each time. Therefore I have forked qttools 
and am compiling Assistant separately using a stock binary Qt 
distribution. For some reason though, 5.10 is completely absent from the 
installer. I'll have to let the WebKit approach rest for the time being.

Bastiaan.


More information about the Development mailing list